Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocInverterPerThread Class Reference

This is a DocFieldConsumer that inverts each field, separately, from a Document, and accepts a InvertedTermsConsumer to process those terms. More...

`#include <DocInverterPerThread.h>`

Inheritance diagram for Lucene::DocInverterPerThread:

## Public Member Functions

| DocInverterPerThread (DocFieldProcessorPerThreadPtr docFieldProcessorPerThread, DocInverterPtr docInverter)
virtual | ~DocInverterPerThread ()
virtual String | getClassName ()
boost::shared_ptr < DocInverterPerThread > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual void | startDocument ()
virtual DocWriterPtr | finishDocument ()
virtual void | abort ()
virtual DocFieldConsumerPerFieldPtr | addField (FieldInfoPtr fi)
Public Member Functions inherited from Lucene::DocFieldConsumerPerThread
virtual | ~DocFieldConsumerPerThread ()
boost::shared_ptr < DocFieldConsumerPerThread > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocFieldConsumerPerThread
static String | _getClassName ()

## Data Fields

DocInverterWeakPtr | _docInverter
InvertedDocConsumerPerThreadPtr | consumer
InvertedDocEndConsumerPerThreadPtr | endConsumer
SingleTokenAttributeSourcePtr | singleToken
DocStatePtr | docState
FieldInvertStatePtr | fieldState
ReusableStringReaderPtr | stringReader
| Used to read a string value for a field. More...

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

This is a DocFieldConsumer that inverts each field, separately, from a Document, and accepts a InvertedTermsConsumer to process those terms.

## Constructor & Destructor Documentation

Lucene::DocInverterPerThread::DocInverterPerThread | ( | DocFieldProcessorPerThreadPtr | docFieldProcessorPerThread,
|  | DocInverterPtr | docInverter
| ) |  |

virtual Lucene::DocInverterPerThread::~DocInverterPerThread | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::DocInverterPerThread::_getClassName | ( | ) |  |

inline static

virtual void Lucene::DocInverterPerThread::abort | ( | ) |  |

virtual

Implements Lucene::DocFieldConsumerPerThread.

virtual DocFieldConsumerPerFieldPtr Lucene::DocInverterPerThread::addField | ( | FieldInfoPtr | fi) |  |

virtual

Implements Lucene::DocFieldConsumerPerThread.

virtual DocWriterPtr Lucene::DocInverterPerThread::finishDocument | ( | ) |  |

virtual

Implements Lucene::DocFieldConsumerPerThread.

virtual String Lucene::DocInverterPerThread::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::DocFieldConsumerPerThread.

virtual void Lucene::DocInverterPerThread::initialize | ( | ) |  |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

boost::shared_ptr< DocInverterPerThread > Lucene::DocInverterPerThread::shared_from_this | ( | ) |  |

inline

virtual void Lucene::DocInverterPerThread::startDocument | ( | ) |  |

virtual

Implements Lucene::DocFieldConsumerPerThread.

## Field Documentation

DocInverterWeakPtr Lucene::DocInverterPerThread::_docInverter

InvertedDocConsumerPerThreadPtr Lucene::DocInverterPerThread::consumer

DocStatePtr Lucene::DocInverterPerThread::docState

InvertedDocEndConsumerPerThreadPtr Lucene::DocInverterPerThread::endConsumer

FieldInvertStatePtr Lucene::DocInverterPerThread::fieldState

SingleTokenAttributeSourcePtr Lucene::DocInverterPerThread::singleToken

ReusableStringReaderPtr Lucene::DocInverterPerThread::stringReader

Used to read a string value for a field.

The documentation for this class was generated from the following file:

- DocInverterPerThread.h

clucene.sourceforge.net